import { default as React } from 'react';
import { ID } from '@zeniai/client-epic-state';
export declare function RowMenuProvider({ children }: {
    children: React.ReactNode;
}): import("react/jsx-runtime").JSX.Element;
export declare function useRowMenuIsOpen(cardId: ID): boolean;
export declare function useRowMenuOpenChange(cardId: ID): (isOpen: boolean) => void;
export declare function useRowMenuOpenState(cardId: ID): {
    isMenuOpen: boolean;
    setIsMenuOpen: (isOpen: boolean) => void;
};
export declare function useRowMenuCloseOnBulkSelection(bulkSelectionCount: number): void;
